import "assets/scripts/standard_assets.lua"

defineRace{
	name = "test",
	uiName = "Test",
	inventoryBackground = "assets/textures/gui/inventory_backgrounds/insectoid.tga",
}
defineTrait{
	name = "test",
	uiName = "Test",
	icon = 39,
	description = "As an insectoid, your thoughts are completely alien to other races. Your knowledge of the arcane is unrivaled. Insectoids come in many shapes and sizes but most often their bodies are covered with a thick shell.\n- Strength +1, Dexterity -2, Vitality -1, Willpower +2.\n- Your chance of getting body parts injured is reduced by 50%.",
	onRecomputeStats = function(champion, level)
		if level > 0 then
			champion:addStatModifier("strength", 1)
			champion:addStatModifier("dexterity", -2)
			champion:addStatModifier("vitality", -1)
			champion:addStatModifier("willpower", 2)
		end
	end,
	onReceiveCondition = function(champion, cond, level)
		if level > 0 and string.match(cond, "_wound$") and math.random() <= 0.5 then
			return false
		end
	end,
}
